# Job status

job status

Endpoint: GET /api/v1/jobs/{jobId}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `jobId` (string, required)
    The jobId, a unique identifier assigned for the job.

## Header parameters:

  - `X-PB-Developer-Partner-Id` (string)
    The Developer Partner ID is assigned by PB to uniquely identify a Developer's strategic business partners. If the developer is the sole business partner, this field isn't required.

  - `X-PB-LocationId` (string)
    The X-PB-LocationId header identifies the enterprise, developer, or partner location under which a shipment is processed and billed.
If the header is not provided, the system defaults to the enterprise-level location that was created during developer account onboarding. This default location is automatically used for shipment processing and billing.<br/>

**Requirement Rules**

- The `X-PB-LocationId` header is optional when the shipment origin country code matches the enterprise's default address country code.
- The `X-PB-LocationId` header is required when the shipment origin country code differs from the enterprise's default address country code.
- If the header is required but not provided, the API will return a validation error *"invalid origin countryCode"*.

  - `X-PB-TransactionId` (string)
    A unique transaction Id provided by the partner which is used to enable debugging and linking between the client's transaction and the system.

## Response 200 fields (application/json):

  - `jobId` (string)
    Job ID  can be used to check the status of the print request.
    Example: LkolBjvmy3mBzyp

  - `status` (string)
    Refers to the status of Print Job.
    Example: SUCCESS

  - `printStatusTransaction` (array)

  - `printStatusTransaction.name` (string)
    The status transaction ID of the Print document.
    Example: LkolBjvmy3mBzyp

  - `printStatusTransaction.status` (string)
    Status of the Print document.
    Example: COMPLETED

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

